puts __FILE__
lib = File.expand_path("../lib", __FILE__)
puts "LIB #{lib}"
puts "LOADPATH #{$LOAD_PATH.include?(lib)}"
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "sentinel_api/version"

Gem::Specification.new do |spec|
  spec.name          = "logkeeper_api"
  spec.version       = SentinelApi::VERSION
  spec.authors       = ["Intelllex"]
  spec.email         = ["tech@intelllex.com"]

  spec.summary       = %q{Gem to connect to ErrorReporterAPI}
  spec.description   = %q{This is a gem to connect to ErrorReporterAPI}
  spec.homepage      = "https://gitlab.com/intelllex/sentinel"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  # spec.required_ruby_version = '>= 2.4.0'

  spec.add_runtime_dependency "httparty", "~> 0"
  spec.add_runtime_dependency "activesupport", ">= 4.2.6"
  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "pry", '~> 0'
  spec.add_development_dependency 'pry-byebug', '~> 3.6'
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
